Change edit review checkbox to "accept this page *with* my edits"
Closed, ResolvedPublic

Description

Author: delbu9c1

Description:
For reference on the use case, see http://en.wikipedia.org/w/index.php?title=Special:Log&page=The+Dark+Knight+(film)&hide_review_log=0

Imagine three editors, Anna, Belle, and Charlie. Anna is non-autoconfirmed while Belle and Charlie are reviewers.

  • Anna makes an edit to a page configured for pending changes.
  • Belle and Charlie both go to review the edit.
  • Belle finishes first, using the "undo" feature, causing the page to be reverted and automatically accepted.
  • Charlie performs an edit on the page to restore the article to the original version (effectively the same as a revert), and chooses the "review pending changes" to accept his own change.
  • The software recognizes that Charlie's edit was identical to Belle's so it auto-resolves the conflict by not creating an edit.

When this happens, Anna's change gets marked as reviewed by Charlie. What was supposed to have happened was Charlie's change would be reviewed by Charlie, but his edit doesn't exist (it is instead replaced by the automatically accepted change by Belle).

I think a more appropriate action in this situation would be to have no review done (silently would be OK I think) because the review was already done on the correct revision (just automatically).

Naturally, the outcome is still the same in that the page is reverted and the newest revision is accepted, but the history gets a little strange by saying an edit was accepted and then reverted. (It doesn't say that anymore in the example I gave above because I went back and revoked the acceptance.) Preferably this could be avoided, but it's a very minor issue.


Version: unspecified
Severity: enhancement
URL: http://en.wikipedia.org

bzimport set Reference to bz24043.
bzimport created this task.Via LegacyJun 19 2010, 3:50 PM
aaron added a comment.Via ConduitJun 19 2010, 4:39 PM

What edit is "accepted and then reverted"?

bzimport added a comment.Via ConduitJun 19 2010, 5:50 PM

delbu9c1 wrote:

It really boils down to these three actions:

(del/undel) 08:23, 19 June 2010 Gilo1969 (talk | contribs | block) reviewed a revision of The Dark Knight (film) ‎ ((automatic)) (changes reviewed) (revision: 15:23, 19 June 2010)

(del/undel) 08:23, 19 June 2010 Shirik (talk | contribs | block) reviewed a revision of The Dark Knight (film) ‎ (revision: 15:18, 19 June 2010)

(del/undel) 08:27, 19 June 2010 Shirik (talk | contribs | block) deprecated a revision of The Dark Knight (film) ‎ (Bug, this edit was not accepted, the one after it was. Will file.) (revision: 15:18, 19 June 2010)

Gilo1969 reverted back to an old version, causing an automatic accept. I undid the changes at the same time, but instead by editing the page back to the way it was and checking the "accept pending changes" button (to auto-review my change). This was an automatically resolved edit conflict because Gilo1969's change and my change were identical, but the "accept pending changes" caused the IP edit to be reviewed, despite the fact that I meant for my edit (which became Gilo's edit) to be reviewed, not the IP edit.

bzimport added a comment.Via ConduitJun 19 2010, 5:51 PM

delbu9c1 wrote:

(What I mean is that, until I deprecated the revision, it had shown that the IP edit was accepted, followed by a revert that was automatically accepted. That no longer shows because I deprecated the revision.)

aaron added a comment.Via ConduitJul 12 2010, 6:03 AM

"accept pending changes" is meant to be used for accepting the changes that were pending when you start editing. In that case, there is nothing wrong.

The confusion probably comes from the recent "...along with your own edit" wording on the title of the checkbox.

aaron added a comment.Via ConduitJul 12 2010, 8:48 PM

(In reply to comment #4)

"accept pending changes" is meant to be used for accepting the changes that
were pending when you start editing. In that case, there is nothing wrong.

The confusion probably comes from the recent "...along with your own edit"
wording on the title of the checkbox.

Likewise with the button changing.

RobLa added a comment.Via ConduitJul 12 2010, 8:56 PM

I need to review the wording of the checkbox, and read through this a little more closely. Assigning to myself to figure this out.

aaron added a comment.Via ConduitSep 24 2010, 6:04 PM

Fixing summary.

aaron added a comment.Via ConduitOct 13 2010, 2:02 AM

Do we actually want to make this semantic change or not? The *coding* isn't too difficult (for me).

RobLa-WMF added a comment.Via ConduitOct 19 2010, 5:23 PM

Several of us discussed this one at length. Since we agreed that it is indeed surprising to see possibly bad edits marked as "accepted" in the history, we agreed that the correct behavior here is to only mark the very latest version as accepted.

Assigning to Aaron to make this change, per our conversation.

aaron added a comment.Via ConduitOct 31 2010, 9:18 PM

Done in r75747.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.